package com.ruoyi.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.saas.base.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 专业术语对象 trs_technical_words
 * 
 * @author ruoyi
 * @date 2025-03-21
 */
public class TrsTechnicalWordsTenant extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 错误词 */
    @Excel(name = "词条")
    private String wrongWord;

    /** 错误类型 */
    @Excel(name = "错误类型")
    private String errorType;

    /** 词典类型 */
    private String dictType;

    /** 是否包含 */
    private Integer flag;


    public String getAccord() {
        return accord;
    }

    public void setAccord(String accord) {
        this.accord = accord;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getLinkurl() {
        return linkurl;
    }

    public void setLinkurl(String linkurl) {
        this.linkurl = linkurl;
    }

    public Date getEffectstart() {
        return effectstart;
    }

    public void setEffectstart(Date effectstart) {
        this.effectstart = effectstart;
    }

    public Date getEffectend() {
        return effectend;
    }

    public void setEffectend(Date effectend) {
        this.effectend = effectend;
    }

    @Excel(name = "参考依据")
    private String accord;
    @Excel(name = "来源")
    private String source;
    @Excel(name = "链接")
    private String linkurl;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生效开始时间(yyyy-MM-dd)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date effectstart;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生效结束时间(yyyy-MM-dd)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date effectend;



    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    /*@Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")*/
    private Date time;

    private String status;
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setWrongWord(String wrongWord) 
    {
        this.wrongWord = wrongWord;
    }

    public String getWrongWord() 
    {
        return wrongWord;
    }

    public void setErrorType(String errorType) 
    {
        this.errorType = errorType;
    }

    public String getErrorType() 
    {
        return errorType;
    }

    public void setDictType(String dictType) 
    {
        this.dictType = dictType;
    }

    public String getDictType() 
    {
        return dictType;
    }

    public void setFlag(Integer flag) 
    {
        this.flag = flag;
    }

    public Integer getFlag() 
    {
        return flag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("wrongWord", getWrongWord())
            .append("errorType", getErrorType())
            .append("dictType", getDictType())
            .append("flag", getFlag())
            .toString();
    }
}
